## org.apache.hadoop.util
Class LinuxMemoryCalculatorPlugin

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.util.MemoryCalculatorPlugin
              org.apache.hadoop.util.LinuxMemoryCalculatorPlugin

All Implemented Interfaces:
  Configurable

Deprecated. Use `LinuxResourceCalculatorPlugin` instead

    @Deprecated
    public class LinuxMemoryCalculatorPlugin

extends MemoryCalculatorPlugin

Plugin to calculate virtual and physical memories on Linux systems.

Constructor Summary
`LinuxMemoryCalculatorPlugin()` Deprecated.

Method Summary
`long` `getPhysicalMemorySize()` Deprecated. Obtain the total size of the physical memory present in the system.
`long` `getVirtualMemorySize()` Deprecated. Obtain the total size of the virtual memory present in the system.

Methods inherited from class org.apache.hadoop.util.MemoryCalculatorPlugin
`getMemoryCalculatorPlugin`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinuxMemoryCalculatorPlugin

    public LinuxMemoryCalculatorPlugin()

  Deprecated.

Method Detail

### getPhysicalMemorySize

    public long getPhysicalMemorySize()

  Deprecated.
  Obtain the total size of the physical memory present in the system.

  Specified by:
    `getPhysicalMemorySize` in class `MemoryCalculatorPlugin`
  Returns:
    physical memory size bytes.

### getVirtualMemorySize

    public long getVirtualMemorySize()

  Deprecated.
  Obtain the total size of the virtual memory present in the system.

  Specified by:
    `getVirtualMemorySize` in class `MemoryCalculatorPlugin`
  Returns:
    virtual memory size in bytes.

Copyright © 2009 The Apache Software Foundation